[Zope] psycopg import error

Amir fixer.solver at gmail.com
Tue Jun 23 16:06:03 EDT 2009

   I have (Zope 2.9.4-final, python 2.4.3, linux2) and I have used
psycopg2.0.11 adapter to connect Zope to Postgresql but I am getting this
error when I try to add the connection object the error is :-

Error Type: ImportError

Error Value: psycopg version mismatch (imported 2.0.11 (dt dec ext pq3))

while the event log traceback shows that :-

2009-06-23T10:55:49 ERROR Shared.DC.ZRDB.Connection Error connecting to
relational database.
Traceback (most recent call last):
  File "/opt/Plone-2.5/lib/python/Shared/DC/ZRDB/Connection.py", line 71, in
    try: self.connect(self.connection_string)
  File "/opt/Plone-2.5/zeocluster/client1/Products/ZPsycopgDA/DA.py", line
120, in connect
    raise ImportError("psycopg version mismatch (imported %s)" %
ImportError: psycopg version mismatch (imported 2.0.11 (dt dec ext pq3))

I would appreciate for an answer asap.



-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.zope.org/pipermail/zope/attachments/20090623/001b214e/attachment.html 

More information about the Zope mailing list